Package org.eclipse.jgit.transport

## Interface AdvertiseRefsHook

All Known Implementing Classes:
  `AbstractAdvertiseRefsHook`, `AdvertiseRefsHookChain`

    public interface AdvertiseRefsHook

Hook to allow callers to take over advertising refs to the client.

Since:
  2.0

### Field Summary

Fields
`static AdvertiseRefsHook` `DEFAULT` A simple hook that advertises the default refs.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `advertiseRefs​(BaseReceivePack receivePack)` Advertise refs for receive-pack.
`void` `advertiseRefs​(UploadPack uploadPack)` Advertise refs for upload-pack.

### Field Detail

#### DEFAULT

    static final AdvertiseRefsHook DEFAULT

A simple hook that advertises the default refs.

The method implementations do nothing to preserve the default behavior; see `UploadPack.setAdvertisedRefs(java.util.Map)` and `BaseReceivePack.setAdvertisedRefs(java.util.Map,java.util.Set)`.

### Method Detail

#### advertiseRefs

    void advertiseRefs​(UploadPack uploadPack)
                throws ServiceMayNotContinueException

Advertise refs for upload-pack.

Parameters:
  `uploadPack` - instance on which to call `UploadPack.setAdvertisedRefs(java.util.Map)` if necessary.
Throws:
  `ServiceMayNotContinueException` - abort; the message will be sent to the user.

#### advertiseRefs

    void advertiseRefs​(BaseReceivePack receivePack)
                throws ServiceMayNotContinueException

Advertise refs for receive-pack.

Parameters:
  `receivePack` - instance on which to call `BaseReceivePack.setAdvertisedRefs(java.util.Map,java.util.Set)` if necessary.
Throws:
  `ServiceMayNotContinueException` - abort; the message will be sent to the user.